Skip to main content
`Ctrl`+`K`

# PetscDrawLGSetDimension

Change the number of curves that are to be drawn.

## Synopsis

    #include "petscdraw.h"
    PetscErrorCode PetscDrawLGSetDimension(PetscDrawLG lg, PetscInt dim)

Logically Collective

## Input Parameters

- lg - the line graph context.

- dim - the number of curves.

## See Also

`PetscDrawLGCreate()`, `PetscDrawLGGetDimension()`

## Level

intermediate

## Location

src/sys/classes/draw/utils/lgc.c

Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages